Update review rule

PATCH
/api/v1/review-rules/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Path parameters

id*string
Match^rrule_
Length32 <= length <= 32

Request body

application/json
  1. body
body?string
scopes?array<>
file?|null
status?string
One of"active""inactive"

Response body

ReviewRuleUpdated

application/json
  1. response
id*string
Match^rrule_
Length32 <= length <= 32
rule*|null
deleted*boolean
curl -X PATCH 'https://api.capy.ai/api/v1/review-rules/string' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": "string",  "rule": {    "id": "string",    "body": "string",    "scopes": [      {        "repo": "string",        "paths": [          "string"        ],        "githubRepoId": 0,        "covered": true,        "heldByCaller": true      }    ],    "file": {      "repo": "string",      "path": "string",      "githubRepoId": 0,      "covered": true    },    "status": "active",    "source": "app",    "sourceRef": "string",    "createdByUserId": "string",    "createdByName": "string",    "firedCount": 0,    "lastFired": {      "repo": "string",      "prNumber": 0,      "at": "string"    },    "createdAt": "string",    "updatedAt": "string"  },  "deleted": true}
Open in Capy